psychopy.org | Reference | Downloads | Github

PsychoPy encountered unhandled internal error

If this template helps then use it. If not then just delete and start from scratch.

OS (e.g. Win10): Win 10
PsychoPy version (e.g. 1.84.x): 2020.2.0
Standard Standalone? (y/n) If not then what?: Y

Hi
What are you trying to achieve?: I had an experiment (initially it was designed on psychpy version 2020.1.3, yet it was running with version 2020.2.0) that was running online (I cant sent the url as in correcting project I deleted and now I am not able to create it successfully).
I added a block and suddenly in the middle it gave few errors screenshot attached.
Note it is running offline perfectly fine.

What did you try to make it work?: I uninstalled PsychoPy and Installed it again. I deleted the project and tried creating it again.

What specifically went wrong when you tried that?: I am not sure what wen wrong. now in the latest version also I see the error message.
Include pasted full error message if possible. “That didn’t work” is not enough information.

the error messages are something like below
1.
Traceback (most recent call last):
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app\pavlovia_ui\project.py”, line 161, in submitChanges
self.parent.project = self.project
AttributeError: ‘NoneType’ object has no attribute ‘project’

Traceback (most recent call last):
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app\builder\validators.py”, line 205, in check
names = compile(code, ‘’, ‘exec’).co_names
TypeError: compile() arg 1 must be a string, bytes or AST object

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app\builder\validators.py”, line 58, in Validate
message, valid = self.check(parent)
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app\builder\validators.py”, line 208, in check
if not code.strip() == ‘’:
AttributeError: ‘NoneType’ object has no attribute ‘strip’

Traceback (most recent call last):
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app\pavlovia_ui\menu.py”, line 104, in onSync
retVal = syncProject(parent=self.parent, project=self.parent.project)
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app\pavlovia_ui\project.py”, line 532, in syncProject
infoStream=syncFrame)
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app\pavlovia_ui\functions.py”, line 96, in showCommitDialog
changeDict, changeList = project.getChanges()
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\projects\pavlovia.py”, line 897, in getChanges
changeDict[‘untracked’] = self.repo.untracked_files
File “C:\Program Files\PsychoPy3\lib\site-packages\git\repo\base.py”, line 662, in untracked_files
return self._get_untracked_files()
File “C:\Program Files\PsychoPy3\lib\site-packages\git\repo\base.py”, line 688, in _get_untracked_files
finalize_process(proc)
File “C:\Program Files\PsychoPy3\lib\site-packages\git\util.py”, line 333, in finalize_process
proc.wait(**kwargs)
File “C:\Program Files\PsychoPy3\lib\site-packages\git\cmd.py”, line 415, in wait
raise GitCommandError(self.args, status, errstr)
git.exc.GitCommandError: Cmd(‘C:\Program Files\PsychoPy3\MinGit\cmd\git.exe’) failed due to: exit code(128)
cmdline: C:\Program Files\PsychoPy3\MinGit\cmd\git.exe status --porcelain --untracked-files
stderr: 'fatal: not a git repository (or any of the parent directories): .git

Please help ASAP.

Thank you
Aparna

I checked JS code made some corrections. Now experiment is initialising but it is giving another error message inspite of given resources on additional resource tab.
Also I do not see the resource downloading as earlier it used to turn blue on downloading all the resources.

Please help!

image